scala.tools.nsc.typechecker.StructuredTypeStrings

# TypeProduct

#### case class TypeProduct(nodes: List[TypeNode]) extends TypeNode with Product with Serializable

Source
  TypeStrings.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, TypeNode, AnyRef, Any
Known Subclasses
MonoFunction, NullaryFunction, PolyFunction, TypeList
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeProduct
2. Serializable
3. Serializable
4. Product
5. Equals
6. TypeNode
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TypeProduct(nodes: List[TypeNode])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TypeProduct to any2stringadd[TypeProduct] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TypeProduct, B)

   Implicit information
     This member is added by an implicit conversion from TypeProduct to ArrowAssoc[TypeProduct] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def emptyTypeName: String

9. #### def ensuring(cond: (TypeProduct) ⇒ Boolean, msg: ⇒ Any): TypeProduct

   Implicit information
     This member is added by an implicit conversion from TypeProduct to Ensuring[TypeProduct] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (TypeProduct) ⇒ Boolean): TypeProduct

    Implicit information
      This member is added by an implicit conversion from TypeProduct to Ensuring[TypeProduct] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): TypeProduct

    Implicit information
      This member is added by an implicit conversion from TypeProduct to Ensuring[TypeProduct] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): TypeProduct

    Implicit information
      This member is added by an implicit conversion from TypeProduct to Ensuring[TypeProduct] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TypeProduct to StringFormat[TypeProduct] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def grouping: Grouping

    Definition Classes
      TypeProduct → TypeNode

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def label: String

    Definition Classes
      TypeNode

20. #### def mkPrefix(showLabel: Boolean): String

    Attributes
      protected
    Definition Classes
      TypeNode

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### val nodes: List[TypeNode]

    Definition Classes
      TypeProduct → TypeNode

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def show(): String

    Definition Classes
      TypeNode

26. #### def show(indent: Int): String

    Definition Classes
      TypeNode

27. #### def show(indent: Int, showLabel: Boolean): String

    Definition Classes
      TypeNode

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      TypeNode → AnyRef → Any

30. #### def typeName: String

    Definition Classes
      TypeProduct → TypeNode

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def withLabel(l: String): TypeProduct.this.type

    Definition Classes
      TypeNode

35. #### def withType(t: String): TypeProduct.this.type

    Definition Classes
      TypeNode

36. #### def →[B](y: B): (TypeProduct, B)

    Implicit information
      This member is added by an implicit conversion from TypeProduct to ArrowAssoc[TypeProduct] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TypeNode

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TypeProduct to any2stringadd[TypeProduct]

### Inherited by implicit conversion StringFormat from TypeProduct to StringFormat[TypeProduct]

### Inherited by implicit conversion Ensuring from TypeProduct to Ensuring[TypeProduct]

### Inherited by implicit conversion ArrowAssoc from TypeProduct to ArrowAssoc[TypeProduct]

### Ungrouped